﻿Public Class SamplePalette

	''' <summary>
	''' 座標の値をセットする
	''' </summary>
	''' <param name="X">X座標値</param>
	''' <param name="Y">Y座標値</param>
	''' <param name="Z">Z座標値</param>
	Public Sub SetCursolPos(X As Double, Y As Double, Z As Double)
		Me.lbl_CursorPosX.Text = X.ToString("f4")
		Me.lbl_CursorPosY.Text = Y.ToString("f4")
		Me.lbl_CursorPosZ.Text = Z.ToString("f4")
	End Sub
	''' <summary>
	''' 座標をセットする
	''' </summary>
	''' <param name="Point">座標値の配列</param>
	Public Sub SetCursolPos(Point As Double())
		Me.lbl_CursorPosX.Text = Point(0).ToString("f4")
		Me.lbl_CursorPosY.Text = Point(1).ToString("f4")
		Me.lbl_CursorPosZ.Text = Point(2).ToString("f4")
	End Sub

	''' <summary>
	''' リストに選択中のエンティティ名を追加する
	''' </summary>
	''' <param name="ObjName">エンティティ名</param>
	Public Sub SetSelectedObjectsList(ObjName As String)
		Me.list_SelectedObjects.Items.Add(ObjName)
	End Sub
	''' <summary>
	''' リストに選択中のエンティティ名を追加する
	''' </summary>
	''' <param name="ObjName">エンティティ名の配列</param>
	Public Sub SetSelectedObjectsList(ObjName As String())
		Me.list_SelectedObjects.BeginUpdate()
		Me.list_SelectedObjects.Items.AddRange(ObjName)
		Me.list_SelectedObjects.EndUpdate()
	End Sub
	''' <summary>
	''' リストの内容をクリアする
	''' </summary>
	Public Sub ClearList()
		Me.list_SelectedObjects.Items.Clear()
	End Sub
End Class
